You can create a new collection by making a POST request to https://api.intercom.io/help_center/collections.
Requires the read_write_articles_scope OAuth scope.
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
The name of the collection. For multilingual collections, this will be the name of the default language's content. Required unless a name is provided in translated_content under the workspace's default Help Center locale.
The description of the collection. For multilingual collections, this will be the description of the default language's content.
The icon of the collection, for example book-bookmark. Defaults to book-bookmark.
The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.
The id of the parent collection. If null then it will be created as the first level collection.
- The production API serverhttps://api.intercom.io/help_center/collections
- The european API serverhttps://api.eu.intercom.io/help_center/collections
- The australian API serverhttps://api.au.intercom.io/help_center/collections
- collection created
- Bad Request
curl -i -X POST \
https://api.intercom.io/help_center/collections \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Intercom-Version: 2.17' \
-d '{
"name": "Thanks for everything"
}'collection created
The name of the collection. For multilingual collections, this will be the name of the default language's content.
The description of the collection. For multilingual help centers, this will be the description of the collection for the default language.
The time when the article was created (seconds). For multilingual articles, this will be the timestamp of creation of the default language's content.
The time when the article was last updated (seconds). For multilingual articles, this will be the timestamp of last update of the default language's content.
The URL of the collection. For multilingual help centers, this will be the URL of the collection for the default language.
The order of the section in relation to others sections within a collection. Values go from 0 upwards. 0 is the default if there's no order.
The default locale of the help center. This field is only returned for multilingual help centers.
The Translated Content of an Group. The keys are the locale codes and the values are the translated content of the Group.
The id of the parent collection. If null then it is the first level collection.
{ "id": "165", "type": "collection", "workspace_id": "this_is_an_id100_that_should_be_at_least_", "name": "Thanks for everything", "url": "http://help-center.test/myapp-100/en/collections/165-thanks-for-everything", "order": 1, "created_at": 1734537312, "updated_at": 1734537312, "description": "", "icon": "book-bookmark", "parent_id": null, "help_center_id": 81 }